# type_utils.hpp File Reference

## Detailed Description

Contains utilities for handnling types. All of these classes are based on "Modern C++" by Andrei Alxandrescu.

Definition in file type_utils.hpp.

Go to the source code of this file.

## Namespaces

- namespace __gnu_pbds
- namespace __gnu_pbds::detail

## Classes

- struct __gnu_pbds::detail::__static_assert< true >
- struct __gnu_pbds::detail::__static_assert_dumclass<>
- struct __gnu_pbds::detail::is_const_pointer< T >
- struct __gnu_pbds::detail::is_const_reference< T >
- class __gnu_pbds::detail::is_pair< T >
- struct __gnu_pbds::detail::is_simple< T >
- struct __gnu_pbds::detail::type_to_type< Type >

## Defines

- #define PB_DS_STATIC_ASSERT(UNIQUE, E)

## Typedefs

- typedef std::tr1::integral_constant<
  int, 0 > __gnu_pbds::detail::false_type
- typedef std::tr1::integral_constant<
  int, 1 > __gnu_pbds::detail::true_type